std::__profile::map< _Key, _Tp, _Compare, _Allocator >(3)

NAME
std::__profile::map< _Key, _Tp, _Compare, _Allocator > -

SYNOPSIS

Inherits map< _Key, _Tp, _Compare, _Allocator >, and std::__profile::_Ordered_profile< _Cont >.

  Public Types
typedef __iterator_tracker< _Base_const_iterator, map > const_iterator
typedef _Base::const_reference const_reference
typedef std::reverse_iterator< const_iterator > const_reverse_iterator
typedef _Base::difference_type difference_type
typedef __iterator_tracker< _Base_iterator, map > iterator
typedef _Compare key_compare
typedef _Key key_type
typedef _Tp mapped_type
typedef _Base::reference reference
typedef std::reverse_iterator< iterator > reverse_iterator
typedef _Base::size_type size_type
typedef _Base::value_type value_type

  Public Member Functions
map (const map &)=default
map (map &&)=default
map (const _Compare &__comp, const _Allocator &__a=_Allocator())
template<typename _InputIterator , typename = std::_RequireInputIter<_InputIterator>> map (_InputIterator __first, _InputIterator __last, const _Compare &__comp=_Compare(), const _Allocator &__a=_Allocator())
map (const _Base &__x)
map (initializer_list< value_type > __l, const _Compare &__c=_Compare(), const _Allocator &__a=_Allocator())
map (const _Allocator &__a)
map (const map &__x, const _Allocator &__a)
map (map &&__x, const _Allocator &__a) noexcept(noexcept(_Base(std::move(__x), __a)))
map (initializer_list< value_type > __l, const _Allocator &__a)
template<typename _InputIterator > map (_InputIterator __first, _InputIterator __last, const _Allocator &__a)
_Base & _M_base () noexcept
const _Base & _M_base () const noexcept
void _M_profile_iterate (int __rewind=0) const
mapped_type & at (const key_type &__k)
const mapped_type & at (const key_type &__k) const
iterator begin () noexcept
const_iterator begin () const noexcept
const_iterator cbegin () const noexcept
const_iterator cend () const noexcept
void clear () noexcept
size_type count (const key_type &__x) const
const_reverse_iterator crbegin () const noexcept
const_reverse_iterator crend () const noexcept
template<typename... _Args> std::pair< iterator, bool > emplace (_Args &&...__args)
template<typename... _Args> iterator emplace_hint (const_iterator __pos, _Args &&...__args)
iterator end () noexcept
const_iterator end () const noexcept
std::pair< iterator, iterator > equal_range (const key_type &__x)
std::pair< const_iterator, const_iterator > equal_range (const key_type &__x) const
iterator erase (const_iterator __pos)
iterator erase (iterator __pos)
size_type erase (const key_type &__x)
iterator erase (const_iterator __first, const_iterator __last)
iterator find (const key_type &__x)
const_iterator find (const key_type &__x) const
std::pair< iterator, bool > insert (const value_type &__x)
template<typename _Pair , typename = typename std::enable_if<std::is_constructible<value_type, _Pair&&>::value>::type> std::pair< iterator, bool > insert (_Pair &&__x)
void insert (std::initializer_list< value_type > __list)
iterator insert (const_iterator __pos, const value_type &__x)
template<typename _Pair , typename = typename std::enable_if<std::is_constructible<value_type, _Pair&&>::value>::type> iterator insert (const_iterator __pos, _Pair &&__x)
template<typename _InputIterator > void insert (_InputIterator __first, _InputIterator __last)
iterator lower_bound (const key_type &__x)
const_iterator lower_bound (const key_type &__x) const
map & operator= (const map &)=default
map & operator= (map &&)=default
map & operator= (initializer_list< value_type > __l)
mapped_type & operator[] (const key_type &__k)
mapped_type & operator[] (key_type &&__k)
reverse_iterator rbegin () noexcept
const_reverse_iterator rbegin () const noexcept
reverse_iterator rend () noexcept
const_reverse_iterator rend () const noexcept
void swap (map &__x) noexcept(noexcept(declval< _Base >().swap(__x)))
iterator upper_bound (const key_type &__x)
const_iterator upper_bound (const key_type &__x) const

  Protected Member Functions
void _M_profile_construct () noexcept
void _M_profile_destruct () noexcept
void _M_swap (_Ordered_profile &__other)

  Protected Attributes
__gnu_profile::__map2umap_info * _M_map2umap_info

  Friends
template<typename _K1 , typename _T1 , typename _C1 , typename _A1 > bool operator< (const map< _K1, _T1, _C1, _A1 > &, const map< _K1, _T1, _C1, _A1 > &)
template<typename _K1 , typename _T1 , typename _C1 , typename _A1 > bool operator== (const map< _K1, _T1, _C1, _A1 > &, const map< _K1, _T1, _C1, _A1 > &)

Detailed Description

  template<typename _Key, typename _Tp, typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<std::pair<const _Key, _Tp> >>class std::__profile::map< _Key, _Tp, _Compare, _Allocator >
Class std::map wrapper with performance instrumentation.

Definition at line 41 of file profile/map.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.